Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.pm.measurement
Interface QueryByDNValue

All Superinterfaces:
  AttributeAccess, java.lang.Cloneable, QueryPerformanceMonitorValue, QueryValue, java.io.Serializable, SerializerFactory

All Known Implementing Classes:
  QueryByDNValueImpl

public interface QueryByDNValue
extends QueryPerformanceMonitorValue

This interface is used to query for measurement jobs by specifying distinguished names.

The distinguished names will be used to filter out the measurement jobs that match the one or several values of the DN list. The DN list and the other provided attributes are concatenated using logical AND-operation.

This query value is only applicable on measurement jobs of the `PerformanceMonitorByObjectValue` type.

Version:
  0.9, 2001-10-25
Author:
  Stefan Aberg

Field Summary
`static java.lang.String` | `DISTINGUISHED_NAMES` Constant for attribute performance monitor value type.
`static java.lang.String` | `QUERY_TYPE` Constant that defines string representation of the query type.

Fields inherited from interface com.sun.management.oss.pm.measurement.QueryPerformanceMonitorValue
`GRANULARITY_PERIOD, NAME, STATE, VALUE_TYPE`

Method Summary
`javax.management.ObjectName[]` | `getDistinguishedNames()` Returns the query value of the distinguished names.
`void` | `setDistinguishedNames(javax.management.ObjectName[] names)` Sets the query value of the distinguished names.

Methods inherited from interface com.sun.management.oss.pm.measurement.QueryPerformanceMonitorValue
`getGranularityPeriod, getName, getState, getValueType, setGranularityPeriod, setName, setState, setValueType`

Methods inherited from interface com.sun.management.oss.QueryValue
`clone`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Field Detail

### QUERY_TYPE

    public static final java.lang.String QUERY_TYPE

  Constant that defines string representation of the query type.

### DISTINGUISHED_NAMES

    public static final java.lang.String DISTINGUISHED_NAMES

  Constant for attribute performance monitor value type.

  See Also:
    Constant Field Values

Method Detail

### getDistinguishedNames

    public javax.management.ObjectName[] getDistinguishedNames()
                                                        throws java.lang.IllegalStateException

  Returns the query value of the distinguished names.

  If no distinguished names has been set then an empty string array is returned.

  Returns:
    String[] List of distinguished names.
  Throws:
    `java.lang.IllegalStateException` - Is raised if the attribute is not populated.
  See Also:
    `setDistinguishedNames(javax.management.ObjectName[])`

### setDistinguishedNames

    public void setDistinguishedNames(javax.management.ObjectName[] names)
                               throws java.lang.IllegalArgumentException

  Sets the query value of the distinguished names.

  The distinguished names will be checked with each observable object instance of all measurement job. The DNs can be fully qualified ObjectName instances or ObjectName patterns.

  Parameters:
    `names` - an array of ObjectName specifying the distinguished name values
  Throws:
    `java.lang.IllegalArgumentException` - Is raised if the input parameters are not valid.
  See Also:
    `getDistinguishedNames()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD